Bug 51491 - No way to disable cursor blink
Summary: No way to disable cursor blink
Status: RESOLVED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Text Editor (show other bugs)
Version: 6.2.0 (C9)
Hardware: PC Linux
: Normal enhancement
Target Milestone: Future Cycle (TBD)
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2017-01-12 17:34 UTC by Toni Spets
Modified: 2017-10-05 05:47 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Possible fix (940 bytes, patch)
2017-05-14 10:00 UTC, Toni Spets
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Toni Spets 2017-01-12 17:34:19 UTC
This has been driving me nuts. I have not found any way to disable cursor blink in MonoDevelop, be it a build from git or the flatpak one. MonoDevelop seems to compeletely ignore the GTK cursor blink setting that I have globally set in gtkrc to be disabled for both GTK 2 and 3.

Can there please be an option in MD/XS itself to disable cursor blink if the user so desires?

Thank you.
Comment 1 Toni Spets 2017-05-14 10:00:24 UTC
Created attachment 22161 [details]
Possible fix

Attached is a possible fix. It seems the order was off here, adding parenthesis wouldn't hurt either.

I can't compile MD currently so I couldn't test it, unfortunately.
Comment 2 xamarin-release-manager 2017-10-05 05:47:34 UTC
Fixed in version 7.4.0.231 (master)

Pull Request #3105 merged by: Mike Kr??ger
Author: mono
Commit: b9da875836077885f68cb813c454bf0155ba0203 (mono/monodevelop)